org.apache.catalina.tribes

## Class RemoteProcessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.catalina.tribes.RemoteProcessException

All Implemented Interfaces:
  Serializable

    public class RemoteProcessException
    extends RuntimeException

Title: RemoteProcessException

Description: Message thrown by a sender when USE_SYNC_ACK receives a FAIL_ACK_COMMAND.
This means that the message was received on the remote node but the processing of the message failed. This message will be embedded in a ChannelException.FaultyMember

Version:
  1.0
Author:
  Filip Hanik
See Also:
  `ChannelException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteProcessException()`
`RemoteProcessException(String message)`
`RemoteProcessException(String message, Throwable cause)`
`RemoteProcessException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteProcessException

    public RemoteProcessException()

#### RemoteProcessException

    public RemoteProcessException(String message)

#### RemoteProcessException

    public RemoteProcessException(String message,
                          Throwable cause)

#### RemoteProcessException

    public RemoteProcessException(Throwable cause)